Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. What's New in Informatica Intelligent Cloud Services
  3. API Center
  4. Administrator
  5. Application Integration
  6. Business 360 Console
  7. Cloud Data Integration for PowerCenter (CDI-PC)
  8. Data Access Management
  9. Data Governance and Catalog
  10. Data Ingestion and Replication
  11. Data Integration
  12. Data Integration Connectors
  13. Data Quality
  14. Data Validation
  15. MDM - Customer 360 SaaS
  16. MDM - Product 360 SaaS
  17. MDM - Reference 360
  18. MDM - Supplier 360 SaaS
  19. Multidomain MDM SaaS
  20. Monitor

What's New

What's New

Step 3. Get the artifact ID of the process

Step 3. Get the artifact ID of the process

To modify permissions and create a user to access the
MDMExternalMatch
process, you require the artifact ID of the process to uniquely identify it.
To get the artifact ID of the process, use the LookupArtifactsDetailsByPath API and submit a POST request with the following URI:
POST <baseApiURL>/frs/api/v1/LookupArtifactsDetailsByPath

Sample Requests

Use the following POST request to get the artifact ID of the
MDMExternalMatch
process:
POST https://use4.dm-us.informaticacloud.com/frs/api/v1/LookupArtifactsDetailsByPath IDS-SESSION-ID: XXXXXXXXXXXXXXXXXXXXXX Content-Type: application/json { "lookupParamPath": [ { "name": "MDMExternalMatch", "type": "PROCESS", "location": [ { "type": "Space", "name": "REG" }, { "name": "Business360", "type": "Project" } ] } ] }

Sample Response

The sample response shows the HTTP 200 OK response code and contains the artifact ID of the
MDMExternalMatch
process. The response shows the artifact ID as
a7d1raphIOLdjfNVarUJaC
in the
artifact
section.
{ "@odata.context": "$metadata#BaseEntities", "value": [ { "orgId": "lkV1tSYJzKYcdNHddSjsWN", "status": { "code": "FRS_200", "message": "" }, "tags": [], "artifact": { "@odata.type": "#OData.frs.Document", "id": "a7d1raphIOLdjfNVarUJaC", "name": "MDMExternalMatch", "description": "", "owner": "dR1G6Qi59OKj6qCYOfWZsA", "createdBy": "dR1G6Qi59OKj6qCYOfWZsA", "lastUpdatedBy": "dR1G6Qi59OKj6qCYOfWZsA", "lastAccessedBy": "dR1G6Qi59OKj6qCYOfWZsA", "createdTime": "2024-06-11T09:22:29Z", "lastUpdatedTime": "2024-06-11T09:22:29Z", "lastAccessedTime": "2024-06-11T09:22:29Z", "expiresBy": "2038-01-18T00:00:00Z", "parentInfo": [ { "parentId": "7cCn5thwWFLhiZoSosphKL", "parentName": "REG", "parentType": "Space" }, { "parentId": "9Lf4MSeHu5vkk8CS6pTcA2", "parentName": "Business360", "parentType": "Project" } ], "documentType": "PROCESS", "contentType": "application/json; charset=utf-8", "documentState": "VALID", "aclRule": "org", "subcontainerCount": 0, "customAttributes": { "stringAttrs": [], "numberAttrs": [], "dateAttrs": [] }, "repoInfo": { "repoParams": [], "repoPath": null, "repoHandle": "f2B7O2htghGZ5i4-gt-483987-2024-06-11T09:22:29.093Z::pd.xml", "frsPath": null }, "isSourceControlled": false, "checkedOutById": null }, "docRef": null } ] }

0 COMMENTS

We’d like to hear from you!